[arch-commits] Commit in haskell-data-textual/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Mar 28 04:38:49 UTC 2017


    Date: Tuesday, March 28, 2017 @ 04:38:48
  Author: felixonmars
Revision: 219525

upgpkg: haskell-data-textual 0.3.0.2-2

rebuild with scientific,0.3.4.11

Modified:
  haskell-data-textual/trunk/PKGBUILD

----------+
 PKGBUILD |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2017-03-28 02:00:51 UTC (rev 219524)
+++ PKGBUILD	2017-03-28 04:38:48 UTC (rev 219525)
@@ -4,7 +4,7 @@
 _hkgname=data-textual
 pkgname=haskell-data-textual
 pkgver=0.3.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="Human-friendly textual representations."
 url="https://github.com/mvv/data-textual"
 license=('custom:BSD3')
@@ -20,7 +20,7 @@
         --prefix=/usr --docdir="/usr/share/doc/${pkgname}" \
         --libsubdir=\$compiler/site-local/\$pkgid
     runhaskell Setup build
-    runhaskell Setup haddock --hoogle --html
+    runhaskell Setup haddock --hoogle --html || warning "haddock failed"
     runhaskell Setup register --gen-script
     runhaskell Setup unregister --gen-script
     sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh


More information about the arch-commits mailing list